.navigation {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    z-index: 300;
    pointer-events: none;
}

.secondary-navigation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: all;
    background-color: var(--color-darkgreen);
    z-index: 1;
}

.secondary-navigation .row {
    justify-content: space-between;
    align-items: center;
    height: var(--nav-secondary-height);
    position: relative;
    transition: transform var(--animation-bounce-smooth);
    transform: translateY(0%) rotate(0.001deg);
    margin-bottom: calc(var(--border-radius) * 0.5);
    flex-wrap: nowrap;
}

.secondary-navigation .col-socials {
    display: flex;
    gap: 0.5em;
    flex-direction: row;
}

.secondary-navigation .col-links {
    display: flex;
    gap: 1em;
    flex-direction: row;
    justify-content: flex-end;
}

.secondary-navigation .text-link .link-content .link-text span {
    font-size: 0.9rem;
    font-weight: 400;
    color: var(--color-light);
}

.figure-wrapper {
}

.figure-wrapper img {
    width: 100%;
    object-fit: cover;
}

.main-navigation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: all;
    background-color: var(--color-light);
    border-radius: calc(var(--border-radius) * 0.5) calc(var(--border-radius) * 0.5) 0 0;
    z-index: 2;
    transform: translateY(var(--nav-secondary-height)) rotate(0.001deg);
    transition: all var(--animation-bounce);
}

[data-scrolling-started="true"][data-scrolling-direction="down"] .main-navigation {
    transform: translateY(0) rotate(0.001deg);
}

.main-navigation .texture-paper {
    border-radius: calc(var(--border-radius) * 0.5) calc(var(--border-radius) * 0.5) 0 0;
}

.main-navigation .row {
    justify-content: space-between;
    align-items: flex-end;
    height: var(--nav-main-height);
    position: relative;
    padding-bottom: 1em;
    transition: height var(--animation-bounce);
    flex-wrap: inherit;
}

.main-navigation .row::after {
    content: "";
    position: absolute;
    left: calc(var(--container-padding-offset) * -1);
    top: 100%;
    width: calc(100% + (var(--container-padding-offset) * 2));
    height: 2px;
    background-color: var(--color-dark);
}

.main-navigation .col-ul-left {
    display: flex;
    flex-direction: row;
    margin-left: -1em;
}

.main-navigation .col-ul-right {
    display: flex;
    gap: 0.5em;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

.main-navigation .menu-row {
    display: flex;
    flex-direction: row;
}

li.li-gtranslate {
    height: 30px;
}

.main-navigation .col-logo {
    position: absolute;
    left: 50%;
}

.main-navigation .nav-logo,
.main-navigation .custom-logo-link {
    position: absolute;
    transform: translate(-50%, -50%) scale(1) rotate(0.001deg);
    height: 5.6em;
    z-index: 2;
    transition: transform var(--animation-bounce);
    width: max-content;
    display: flex;
    align-items: center;
}

@media screen and (min-width: 541px) {
    .main-navigation .nav-logo:hover,
    .main-navigation .custom-logo-link:hover {
        position: absolute;
        transform: translate(-50%, -50%) scale(1) rotate(-5deg);
        transition: transform var(--animation-bounce);
    }
}

.main-navigation .nav-logo,
.main-navigation .custom-logo-link {
    svg, img {
        width: 100%;
        height: 100%;
    }
}

.main-navigation .corner {
    --corner-size: 0.75;
    position: absolute;
    top: 100%;
    left: 0;
    transform: rotate(0.001deg);
    display: none;
}

.main-navigation .corner.flipped {
    left: 100%;
    transform: translateX(-100%) scaleX(-1) rotate(0.001deg);
}

@media screen and (max-width: 541px) {
    .main-navigation .corner {
        transform: translateY(-0.5px);
    }

    .main-navigation .corner.flipped {
        transform: translateY(-0.5px) translateX(-100%) scaleX(-1);
    }

    .main-navigation .corner {
        --corner-size: 0.75;
    }
}

.main-navigation .link.hamburger {
    display: none;
}

.main-navigation .link.hamburger .stripes {
    width: 1em;
    height: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 0.5em;
    gap: 2px;
    flex-direction: column;
}

.main-navigation .link.hamburger .stripes .stripe {
    width: 100%;
    display: block;
    height: 2px;
    background-color: var(--color-dark);
}

.main-navigation .sub-navigation {
    position: absolute;
    z-index: 100;
    transition: var(--animation-bounce);
    opacity: 0;
    visibility: hidden;
    left: -1em;
    padding-top: var(--row-gap);
}

.main-navigation [data-nav-desktop-dropdown-status="active"] .sub-navigation {
    opacity: 1;
    visibility: visible;
}

.main-navigation .sub-navigation .sub-navigation-card {
    border-radius: calc(var(--border-radius) * 0.5);
    padding: var(--row-gap) var(--col-gap);
    position: relative;
    display: flex;
    flex-wrap: wrap;
    min-width: 100%;
    transition: var(--animation-bounce);
    transform: translateY(2em) rotate(0.001deg);
}

.main-navigation [data-nav-desktop-dropdown-status="active"] .sub-navigation .sub-navigation-card {
    transform: translateY(0em) rotate(0.001deg);
}

.main-navigation .sub-navigation .top-card {
    display: flex;
    width: 100%;
    z-index: 2;
    border-bottom: var(--border);
    border-color: rgba(var(--color-dark-rgb), 0.2);
    padding-bottom: 1em;
    margin-bottom: 1.5em;
    padding-top: 0.25em;
}

.main-navigation .sub-navigation .top-card h3 {
    color: var(--color-dark);
}

.main-navigation .sub-navigation li {
    width: 100%;
    display: flex;
}

.main-navigation .sub-navigation .bg {
    background-color: var(--color-white);
    border-radius: calc(var(--border-radius) * 0);
    border: var(--border);
    transition: all var(--animation-primary);
    border-radius: calc(var(--border-radius) * 0.5);
}

.main-navigation [data-nav-dropdown-status="active"] + .sub-navigation .bg {
    border-radius: calc(var(--border-radius) * 0.5);
}

.main-navigation .sub-navigation .shadow {
    background-color: rgba(var(--color-dark-rgb), 0.2);
    transition: all var(--animation-primary);
    border-radius: calc(var(--border-radius) * 0.5);
    transform: translateY(var(--shadow-distance)) rotate(0.001deg);
}

.main-navigation .sub-navigation .text-link .link-click {
    height: 1.5em;
}

.main-navigation .sub-navigation .link-text span {
    color: var(--color-dark);
    font-size: 16px;
    white-space: nowrap;
}

.navigation .cat-menu {
    a {
        height: 1.2em !important;
    }

    span {
        font-size: 16px !important;
    }
}

.main-navigation .link > .link-click .link-content .link-text span {
    font-size: 1rem;
}

.navigation .link > .link-click .dropdown-arrow {
    width: 17px;
    margin-left: -17px;
    margin-right: 17px;
}

@media screen and (max-width: 1280px) {
    .main-navigation .nav-logo,
    .main-navigation .custom-logo-link {
        svg, img {
            width: auto;
            height: 57px;
        }
    }
}

@media screen and (max-width: 1024px) {
    .main-navigation .col-ul-left .link {
        display: none;
    }

    .main-navigation .col-ul-right .link {
        display: none;
    }

    .main-navigation .link.hamburger {
        display: block;
    }
}

@media screen and (max-width: 720px) {
    .main-navigation .btn-click * {
        font-size: 14px !important;
    }
}

@media screen and (max-width: 540px) {
    body .navigation {
        --nav-main-height: 4.6em;
    }

    .main-navigation .row {
        align-items: center;
        padding-bottom: 0;
        padding-top: 0.2em;
    }

    .main-navigation .nav-logo {
        height: 5.2em;
        transform: translate(-50%, -25%) scale(1) rotate(0.001deg);
    }

    .main-navigation .btn {
        font-size: 0.9em;
    }

    .main-navigation .row::after {
        left: calc(var(--container-padding-small) * -0.33);
        width: calc(100% + (var(--container-padding-small) * 0.66));
    }

    .main-navigation .btn.btn-short .btn-text {
        display: none;
    }
}

@media screen and (min-width: 541px) {
    .main-navigation .btn.btn-short .btn-icon {
        display: none;
    }
}

@media screen and (max-width: 400px) {
    .main-navigation .nav-logo {
        height: 4.7em;
    }

    .main-navigation .btn {
        font-size: 0.8em;
    }
}


.mobile-navigation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 50;
    display: flex;
    justify-content: center;
    align-items: center;
}


.mobile-navigation .nav-box-back {
    background-color: rgba(var(--color-dark-rgb), 0.75);
    pointer-events: all;
    visibility: hidden;
    opacity: 0;
    transition: 0.4s ease-in-out;
}

.mobile-navigation.active .nav-box-back {
    opacity: 1;
    visibility: visible;
}

.mobile-navigation .nav-box {
    background-color: var(--color-light);
    border: var(--border);
    z-index: 2;
    display: flex;
    position: relative;
    border-radius: calc(var(--border-radius) * 1);
    pointer-events: all;
    max-height: calc(100% - (var(--col-padding) * 2));
    transition: var(--animation-bounce-smooth);
    transform: translateY(2em) rotate(0.001deg);
    visibility: hidden;
    opacity: 0;
}

.mobile-navigation.active .nav-box {
    transform: translateY(0em) rotate(0.001deg);
    opacity: 1;
    visibility: visible;
}

.mobile-navigation .nav-box .scroll-box {
    overflow-y: scroll;
    padding: 0 var(--col-gap);
}

.mobile-navigation .nav-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: var(--row-gap);
}

.mobile-navigation .top {
    display: flex;
    flex-direction: column;
    padding-top: calc(var(--col-gap) * 2);
}

.ladipage .mobile-navigation .top {
    padding-bottom: 0;

    li:last-child {
        display: none;
    }
}

.mobile-navigation .link > .link-click {
    height: 3em;
}

.mobile-navigation .link > .link-click .link-content .link-text span {
    font-size: 1.85em;
}

.mobile-navigation .bottom {
    display: flex;
    flex-direction: column;
    gap: 0.33em;
    min-width: min(calc(100vw - (var(--col-gap) * 4)), 17.5em);
    padding-bottom: var(--row-gap);
}

.mobile-navigation .btn .btn-content {
    width: 100%;
}

.mobile-navigation .btn .btn-content .btn-text span {
    font-size: 1.2rem;
}

.mobile-navigation .sub-navigation {
    display: grid;
    grid-template-rows: 0fr;
    transition: all var(--animation-primary);
}

.mobile-navigation li[data-nav-dropdown-status="active"] > .sub-navigation {
    grid-template-rows: 1fr;
}

.mobile-navigation .sub-navigation .sub-navigation-inner {
    position: relative;
    overflow: hidden;
    padding: 0 20px;
}

.mobile-navigation .sub-navigation :not(.cat-submenu) {
    padding: 20px 0;
}

.mobile-navigation .sub-navigation .nav-content {
    border-radius: calc(var(--border-radius) * 0.5);
    padding: 1.5em 0;
    margin-bottom: 1em;
    position: relative;
}

.mobile-navigation .sub-navigation .bg {
    background-color: var(--color-white);
    border: var(--border);
    transition: all var(--animation-primary);
    border-radius: 20px;
}

.mobile-navigation li[data-nav-dropdown-status="active"] > .sub-navigation .bg {
    border-radius: calc(var(--border-radius) * 0.5);
}

.mobile-navigation .sub-navigation .shadow {
    background-color: rgba(var(--color-dark-rgb), 0.2);
    transition: all var(--animation-primary);
    transform: translateY(0px) rotate(0.001deg);
    border-radius: 20px;
}

.mobile-navigation li[data-nav-dropdown-status="active"] > .sub-navigation .shadow {
    border-radius: calc(var(--border-radius) * 0.5);
    transform: translateY(var(--shadow-distance)) rotate(0.001deg);
}


.mobile-navigation .text-link .link-click {
    height: 1.4em;
}

.mobile-navigation .text-link .link-content .link-text span {
    color: var(--color-dark);
    font-size: 1.2rem;
    font-weight: 600;
    text-transform: uppercase;
}

.mobile-navigation .close {
    position: absolute;
    top: calc(var(--border-radius) * 0.5);
    right: calc(var(--border-radius) * 0.5);
}

